## Legal

- If you would like to contribute code to this project you can do so through GitHub by forking the repository and sending a pull request.
- Your commits [must be signed](https://probot.github.io/apps/dco/) so that the DCO bot will accept them.  This means using `git commit -s` when comitting.

## Developer

- If you are making a large change, you should submit a proposal issue first so that you don't risk your feature being denied
- Fork the Kuberhealthy/Kuberhealthy repository on github 
- Clone your fork to your machine
- Create a branch describing your change
- Develop your feature and push changes to a branch in your fork
- Add your name to the `CONTRIBUTORS.md` file
- Open a pull request from your branch branch in your fork to the master branch on github.com/kuberhealthy/kuberhealthy
- Wait for a project maintainer to address your change and merge your code.  Keep an eye on your open PR.
- Celebrate! 🎉

## General Requirements

- The code must be formatted with `go fmt`
- The change must include tests for new functionality created
- The code must pass all Github CI tests
